Bug 87822 - TOOLBAR: Docking master view toolbar at presentation toolbar location
Summary: TOOLBAR: Docking master view toolbar at presentation toolbar location
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.5.0.0.alpha0+ Master
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:4.5.0 target:5.1.0 target:5.0...
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars
  Show dependency treegraph
 
Reported: 2014-12-29 08:34 UTC by Yousuf Philips (jay)
Modified: 2016-10-25 19:24 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2014-12-29 08:34:10 UTC
Now that i've made the presentation toolbar (commontaskbar.xml) exclusively to slide management, when slide master view is turned on, the presentation toolbar should be hidden (as all its buttons are dimmed anyway) and the master view toolbar (masterviewtoolbar.xml) should be docked and take its place.
Comment 1 Yousuf Philips (jay) 2015-02-19 08:27:43 UTC
I've put in a patch to dock the master view toolbar, but unfortunately i dont know how to do the hiding of the presentation toolbar, when master slide view is enabled.

https://gerrit.libreoffice.org/#/c/14551/
Comment 2 Yousuf Philips (jay) 2015-02-19 09:02:01 UTC
Slide master view is activated by .uno:SlideMasterPage and deactivated with .uno:CloseMasterView or .uno:NormalMultiPaneGUI.

The presentation toolbar is hidden when in Outline (.uno:OutlineMode) and Slide Sorter (.uno:DiaMode) views.
Comment 3 Commit Notification 2015-02-19 11:29:21 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a86513d8ca49fe6f4e1cde48e3d744c20540829e

tdf#87822 Dock the master view toolbar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Philippe Jung 2015-06-03 14:31:39 UTC
https://gerrit.libreoffice.org/16060
Comment 5 Commit Notification 2015-06-03 15:06:21 UTC
Philippe Jung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1191ed8584f9fd63c39514dd2e3e71682913d4bc

tdf#87822 Impress: hide common task toolbar in master view

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2015-06-03 21:49:27 UTC
Philippe Jung committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db79d2710e78c712763aaba0dc74165da5ad01cc&h=libreoffice-5-0

tdf#87822 Impress: hide common task toolbar in master view

It will be available in 5.0.0.0.beta2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.